/**
 * Gets the Connect Auth token that should be used for the API requests to the Connect API.
 * First attempts to read from the environment variable CONNECT_AUTH_TOKEN. If it is not present
 * it will prompt the user for the token instead. If `canSave` is true, it will also prompt the user
 * if they want to save the token to the .env file.
 *
 * @param canSave Whether this is being called from a state where a token
 * received by prompt can be saved to the .env file. For example, when running during
 * the init command the repository does not yet exist and so there is nowhere to save the
 * token when this function runs.
 * @returns The connect auth token that should be used for the API requests.
 */
export declare function getConnectTokenStore(): (canSave?: boolean) => Promise<string>;
export declare const getConnectToken: (canSave?: boolean) => Promise<string>;
//# sourceMappingURL=get-connect-token.d.ts.map