/**
 * @returns The provided path prepended with the root directory.
 */
export declare function getCustomerPath(path: string): string;
/**
 * Cleans up the template path, removing the root directory and the 'src/templates' prefix.
 *
 * This is needed to support the use of absolute paths in the templates, since those will
 * be added later on when reading the files.
 */
export declare function cleanupTemplatePath(path: string | undefined): string;
/**
 * Cleans up the fixture path, removing the root directory and the 'src/fixtures' prefix.
 *
 * This is needed to support the use of absolute paths in the templates, since those will
 * be added later on when reading the files.
 */
export declare function cleanupFixturePath(path: string | undefined): string;
/**
 * Cleans up the external data path, removing the root directory and the 'src/external-data' prefix.
 *
 * This is needed to support the use of absolute paths in the templates, since those will
 * be added later on when reading the files.
 */
export declare function cleanupExternalDataPath(path: string | undefined): string;
//# sourceMappingURL=path.d.ts.map