"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConnectionsForCompany = void 0;
const axios_1 = require("axios");
const errors_1 = require("@oclif/core/lib/errors");
const ux_action_1 = require("../helpers/ux-action");
const http_client_1 = require("./http-client");
async function getConnectionsForCompany() {
    const client = await (0, http_client_1.getHttpClient)();
    try {
        const response = await (0, ux_action_1.uxAction)("📡 Fetching your account details", async () => {
            return await client.get("/connections");
        })();
        return response.data.connections;
    }
    catch (error) {
        if ((0, axios_1.isAxiosError)(error) && error.response) {
            throw new errors_1.CLIError("Something went wrong while fetching your company's connections: \n" +
                error.message);
        }
        throw error;
    }
}
exports.getConnectionsForCompany = getConnectionsForCompany;
