"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHttpClient = void 0;
const errors_1 = require("@oclif/core/lib/errors");
const axios_1 = __importStar(require("axios"));
const get_connect_token_1 = require("../customer/get-connect-token");
const version_1 = __importDefault(require("../version"));
/**
 * @returns An axios instance with the correct base URL and auth token.
 */
async function getHttpClient() {
    const token = await (0, get_connect_token_1.getConnectToken)();
    const baseURL = process.env.HOST ?? "https://connect.cnstrc.com";
    const instance = axios_1.default.create({
        baseURL,
        headers: {
            Authorization: `Bearer ${token}`,
            "X-CLI-Version": version_1.default,
        },
    });
    instance.interceptors.response.use((response) => response, async (error) => {
        if ((0, axios_1.isAxiosError)(error) && error.response) {
            if (error.response.status === 403) {
                throw new errors_1.CLIError("💥 Error while authenticating with the Constructor Connect API. Please check your CONNECT_AUTH_TOKEN environment variable.", {
                    suggestions: [
                        "Check the Connect Auth token you provided and try again",
                        "If you don't have one yet, please reach out over at partners@constructor.io",
                    ],
                });
            }
        }
        return await Promise.reject(error);
    });
    return instance;
}
exports.getHttpClient = getHttpClient;
