"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExternalDataFiles = void 0;
const path_1 = __importDefault(require("path"));
const find_deep_files_1 = require("../helpers/find-deep-files");
function getExternalDataFiles() {
    try {
        return (0, find_deep_files_1.findDeepFiles)("src/fixtures/external_data")
            .filter((file) => path_1.default.extname(file) === ".json")
            .map((file) => {
            const relativePath = path_1.default.relative("src/fixtures/external_data", file);
            return {
                name: relativePath,
                value: relativePath,
            };
        });
    }
    catch (error) {
        if (error instanceof Error && error.message.includes("ENOENT")) {
            return [];
        }
        throw error;
    }
}
exports.getExternalDataFiles = getExternalDataFiles;
