"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderPrompt = void 0;
const prompts_1 = require("@inquirer/prompts");
const errors_1 = require("@oclif/core/lib/errors");
async function renderPrompt({ choices, promptMessage, emptyMessage, }) {
    switch (choices.length) {
        case 0:
            throw new errors_1.CLIError(emptyMessage ?? `No options found for: ${promptMessage}`);
        case 1:
            return choices[0].value;
        default:
            return await (0, prompts_1.select)({ message: promptMessage, choices });
    }
}
exports.renderPrompt = renderPrompt;
