import { type Command } from "@oclif/core";
/**
 * Prints the text of the command you would need to put into the terminal in order to replicate
 * the previously executed command, but with awareness of inputs provided during the execution
 * of the command itself (through a select prompt for example).
 *
 * This extra awareness is provided through the `inputFlags` parameter which you can use
 * to specify the specific values of each flag in order to replicate the current command.
 *
 * @param commandName Name of the command that should be printed.
 * @param inputFlags A map of flag names to the values that should be printed in the command.
 */
export declare function renderRepeatInput(command: Command, inputFlags: Record<string, string>): void;
//# sourceMappingURL=render-repeat-input.d.ts.map