"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderTip = void 0;
const core_1 = require("@oclif/core");
const kleur_1 = __importDefault(require("kleur"));
/**
 * New line character with the necessary spacing to align the text on the terminal.
 */
const NEW_LINE_WITH_SPACING = "\n   ";
/**
 * Prints a tip to the user to provide helpful information.
 * It'll automatically insert the tip emoji (💡) and auto align the lines on the terminal.
 */
function renderTip(lines) {
    lines[0] = `💡 ${lines[0]}`;
    const message = lines.join(NEW_LINE_WITH_SPACING);
    core_1.ux.log(kleur_1.default.gray(message));
}
exports.renderTip = renderTip;
