export interface Config {
    template_repository_version: "1.0.0";
    helpers: string | undefined;
    environments: Array<{
        environment: string;
        templates: Array<{
            paths: {
                item?: string;
                variation?: string;
                item_group?: string;
                grouping?: string;
                mapping?: string;
            };
            connection_ids: string[];
        }>;
    }>;
}
export type ConnectionConfigDict = Record<string, {
    id: string;
    slug: string;
    environment: string;
}>;
export type PromptChoices<T> = Array<{
    name: string;
    value: T;
}>;
interface TemplateError {
    code: "TEMPLATE_ERROR";
    message?: string;
    line?: number;
    position?: number;
    token?: string;
    snippet?: string[];
}
export interface TemplateExecutionErrorResponse {
    success: false;
    error: TemplateError;
}
export declare enum CatalogFixtureType {
    ITEM = "item",
    VARIATION = "variation",
    ITEM_GROUP = "item_group",
    EXTERNAL_DATA = "external_data",
    MAPPING = "mapping"
}
export {};
//# sourceMappingURL=types.d.ts.map